snd_rawmidi_transmit_ack
Prev | Chapter 24. Sound Devices | Next

## Name

snd_rawmidi_transmit_ack — acknowledge the transmission

## Synopsis

`int snd_rawmidi_transmit_ack (` | struct snd_rawmidi_substream * | substream,
| int | count`)`;

## Arguments

`substream`

  the rawmidi substream

`count`

  the tranferred count

## Description

Advances the hardware pointer for the internal output buffer with the given size and updates the condition. Call after the transmission is finished.

Returns the advanced size if successful, or a negative error code on failure.

Prev | Up | Next
snd_rawmidi_transmit_peek | Home | snd_rawmidi_transmit